# eric7.WebBrowser.Sync.SyncDirectorySettingsPage

Module implementing the synchronization shared directory settings wizard page.

### Global Attributes

None

### Classes

SyncDirectorySettingsPage | Class implementing the shared directory host settings wizard page.

### Functions

None

## SyncDirectorySettingsPage

Class implementing the shared directory host settings wizard page.

### Derived from

QWizardPage, Ui_SyncDirectorySettingsPage

### Class Attributes

None

### Class Methods

None

### Methods

SyncDirectorySettingsPage | Constructor
isComplete | Public method to check the completeness of the page.
nextId | Public method returning the ID of the next wizard page.

### Static Methods

None

#### SyncDirectorySettingsPage (Constructor)

SyncDirectorySettingsPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SyncDirectorySettingsPage.isComplete

isComplete()

Public method to check the completeness of the page.

Return:
  flag indicating completeness (boolean)

#### SyncDirectorySettingsPage.nextId

nextId()

Public method returning the ID of the next wizard page.

Return:
  next wizard page ID (integer)

Up